- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rhsm_repository – Manage RHSM repositories using the subscription-manager command

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage (Enable/Disable) RHSM repositories to the Red Hat Subscription Management entitlement platform using the `subscription-manager` command.

## Requirements

The below requirements are needed on the host that executes this module.

- subscription-manager

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | The ID of repositories to enable. To operate on several repositories this can accept a comma separated list or a YAML list.
purge boolean added in 2.8 | Choices: no ← yes | Disable all currently enabled repositories that are not not specified in `name`. Only set this to `True` if passing in a list of repositories to the `name` field. Using this with `loop` will most likely not have the desired result.
state - / required | Choices: present ← enabled absent disabled | If state is equal to present or disabled, indicates the desired repository state.

## Notes

Note

- In order to manage RHSM repositories the system must be already registered to RHSM manually or using the Ansible `redhat_subscription` module.

## Examples

    - name: Enable a RHSM repository
      rhsm_repository:
        name: rhel-7-server-rpms

    - name: Disable all RHSM repositories
      rhsm_repository:
        name: '*'
        state: disabled

    - name: Enable all repositories starting with rhel-6-server
      rhsm_repository:
        name: rhel-6-server*
        state: enabled

    - name: Disable all repositories except rhel-7-server-rpms
      rhsm_repository:
        name: rhel-7-server-rpms
        purge: True

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
repositories list | success | The list of RHSM repositories with their states. When this module is used to change the repository states, this list contains the updated states after the changes.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Giovanni Sciortino (@giovannisciortino)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.